Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230728 - zvbi-fonts and hypothetical tv-fonts
Summary: zvbi-fonts and hypothetical tv-fonts
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zvbi
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ian Chapman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-02 15:28 UTC by Dmitry Butskoy
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 01:31:06 UTC


Attachments (Terms of Use)
patch for contrib/x11font.c, add missed features from tv-fonts package ... (deleted)
2007-03-12 15:21 UTC, Dmitry Butskoy
no flags Details | Diff
A needed changes for .spec file (deleted)
2007-03-12 15:26 UTC, Dmitry Butskoy
no flags Details | Diff

Description Dmitry Butskoy 2007-03-02 15:28:12 UTC
I'm going to package xawtv (http://linux.bytesex.org/xawtv) for Fedora.

This package was in Fedora Core until FC2 (then switch to tvtime). Since there
are a couple of useful utils (cmdline, radio, alevtd web teletext etc.), "xawtv"
still seems to be useful enough.

Traditionally, "xawtv" includes a "tv-fonts" package, which correlates with
"zvbi-fonts". 

tv-fonts includes 3 parts:
- "led fixed" fonts for fullscreen mode. Can be omitted now (f.e. truetype
"bitstream vera" looks fine for the same purpose).
- "ets caption" seems to be the same as in zvbi-fonts
- "ets teletext", containing 3 size, whereas "zvbi-fonts" contains only one.

Since "led fixed" IMO can be dropped now, hypothetical "tv-fonts" and
"zvbi-fonts" will look identical. Hence it could be useful to use one common
package.

First, I hope to get rid of tv-fonts at all, but to see teletexts properly on my
browser, I have to return "20pxl" font back ("teletext2.pcf"). OTOH, zvbi
upstream creates only one "10pxl" font... :(


What is your thoughts about this?
Whether the common package is good, and what package to take as a base for it?

Comment 1 Ian Chapman 2007-03-03 00:01:35 UTC
Well it appears that the xawtv package offers more fonts. Zvbi actually doesn't 
depend on those fonts, they are encoded internally in the program, but it also 
compiles standalone versions for use by other programs. So one suggestion would 
be for me to update the zvbi package so that it doesn't produce a zvbi-fonts 
package. You package the fonts from xawtv as something like xawtv-fonts or tv-
fonts. This should also obsolete zvbi-fonts so that there's a smooth upgrade. 
What do you think?

Comment 2 Dmitry Butskoy 2007-03-05 11:52:25 UTC
> You package the fonts from xawtv
Actually, "xawtv-tv-fonts" is not xawtv-related. This (sub-)package has another
source tarball: "tv-fonts-1.1.tar.gz".

"tv-fonts" uses the same way to create the fonts as "zvbi" does: it compiles and
run "x11font" binary, which includes "exp-gfx.c" source directly when compiled.
Since "xawtv" has not zvbi code, it provides some (certainly obsoleted) copy of
exp-gfx.c, whereas "zvbi" package always uses the lates one. Hence this fonts
actually are "zvbi'-ralated.

The difference between "tv-fonts" and "zvbi-fonts" is that "tv-fonts" has a
little different x11font.c source, which is capable to produce 3 type of fonts
instead of one. Therefore I think we should just patch zvbi's
"contrib/x11font.c" file and then generate 6, not 2, fonts in .spec file.

If you agree whith this, I'll provide all needed patches.



Comment 3 Ian Chapman 2007-03-10 00:43:25 UTC
Sure, I have no problem with this. If you send the patches, I'll update the package.

Comment 4 Dmitry Butskoy 2007-03-12 15:21:57 UTC
Created attachment 149824 [details]
patch for contrib/x11font.c, add missed features from tv-fonts package ...

Comment 5 Dmitry Butskoy 2007-03-12 15:26:43 UTC
Created attachment 149825 [details]
A needed changes for .spec file

Besides the patch above, I suggest some more changes:
- move 'bdftopcf' compiling and friends to build stage (not install)
- support for old xfs font system (mkfontdir, chkfontpath etc.)
- add correspond Requires(post,postun) for zvbi-fonts package
- zvbi-fonts now obsoletes xawtv-tv-fonts

Feel free to write some changelog entry for this, and update to the latest
upstream (0.2.24 ? ;) )

Comment 6 Ian Chapman 2007-03-14 01:41:31 UTC
Thanks for that. I've implemented most of the suggestions. The spec file, source
RPM and changelog can be found below. Unless there's anything majorly wrong
(hopefully not, but it's late and I'm tired :-D ) with it, I'll push this update
soon. 

http://dribble.org.uk/reviews/zvbi.spec
http://dribble.org.uk/reviews/zvbi-0.2.24-1.src.rpm

* Tue Mar 13 2007 Ian Chapman <packages@amiga-hardware.com> 0.2.24-1%{?dist}
- Upgrade to 0.2.24
- Convert README and ChangeLog to UTF-8
- Added patch for x11font to generate more font sizes useful for other
  applications such as xawtv (courtesy of Dmitry Butskoy)
- Fonts sub-rpm now obsoletes and provides xawtv-tv-fonts
- Split font generation and font installation into separate sections
- Various other minor changes to the spec
- Added xfs support for the fonts

Comment 7 Dmitry Butskoy 2007-03-14 12:26:53 UTC
Looks fine!
Thanks!

Ian,
please, update FC-5 and FC-6 too (not devel only :) )

Comment 8 Ian Chapman 2007-03-14 14:11:23 UTC
No problem. I always push for all releases where possible. :-)

Comment 9 Ian Chapman 2007-03-15 01:31:06 UTC
Built successfully and pushed to the repo. Closing.


Note You need to log in before you can comment on or make changes to this bug.